Index: tareas_puppet/servidores_aula/squeeze/ltsp_utilaula/files/apagado
===================================================================
--- tareas_puppet/servidores_aula/squeeze/ltsp_utilaula/files/apagado	(revision 500)
+++ tareas_puppet/servidores_aula/squeeze/ltsp_utilaula/files/apagado	(revision 501)
@@ -5,7 +5,7 @@
 #No tiene en cuenta si hay logeados alumnos 
 
 if  ! who | grep -q "(:0)"; then
-   ejecutaenhosts poweroff
+   /sbin/ejecutaenhosts poweroff
    /sbin/shutdown -h now
 fi
 
Index: tareas_puppet/servidores_aula/squeeze/ltsp_utilaula/files/reinicio
===================================================================
--- tareas_puppet/servidores_aula/squeeze/ltsp_utilaula/files/reinicio	(revision 500)
+++ tareas_puppet/servidores_aula/squeeze/ltsp_utilaula/files/reinicio	(revision 501)
@@ -6,7 +6,7 @@
 
 
 if  ! who | grep -q "(:0)"; then
-   ejecutaenhosts poweroff
+   /sbin/ejecutaenhosts poweroff
    /sbin/shutdown -r now
 fi
 
Index: tareas_puppet/servidores_aula/squeeze/ltsp_utilaula/leeme.txt
===================================================================
--- tareas_puppet/servidores_aula/squeeze/ltsp_utilaula/leeme.txt	(revision 500)
+++ tareas_puppet/servidores_aula/squeeze/ltsp_utilaula/leeme.txt	(revision 501)
@@ -1,4 +1,4 @@
-utilaula 0.8
+utilaula 0.9
 
 Tarea de puppet que añade comandos que hacen posible conectarse fácilmente desde 
 un servidor de aula a los ordenadores(portatiles o clientes ligeros) que están 
@@ -33,6 +33,14 @@
     no interferir con las personalizaciones que tenga cada uno.
 
 
+Añadida funcionalidad apaga_clientes basada en 'ejecutaenhosts' para forzar el apagado 
+de los clientes cuando se apaga o reinicia el servidor del aula. (Francisco Rodrigo)
+
+
 Ricardo Salgado Cid
 IESO Galisteo
+
+Francisco Rodrigo López
+IES Javier García Téllez
+
 Abril 2013
Index: tareas_puppet/servidores_aula/squeeze/ltsp_utilaula/changelog
===================================================================
--- tareas_puppet/servidores_aula/squeeze/ltsp_utilaula/changelog	(revision 500)
+++ tareas_puppet/servidores_aula/squeeze/ltsp_utilaula/changelog	(revision 501)
@@ -1,6 +1,6 @@
+22/04/13 v0.9   Añadido  apaga_clientes,para forzar el apagado de los clientes cuando se apaga o reinicia el servidor del aula. (Francisco Rodrigo)
 12/04/13 v0.8   Actulizado para empezar a usar nmap en vez de avahi 
 		Actulizado para squeeze
-
 22/09/11 v0.7.1 Añadido compruebaprofe
 16/02/11 v0.7   Corregidos permisos en la carpeta files
 10/02/11 v0·6   Corregido bug(No se creaba la carpeta .ssh dentro del root de la imagen ltsp)
Index: tareas_puppet/servidores_aula/squeeze/ltsp_utilaula/manifests/init.pp
===================================================================
--- tareas_puppet/servidores_aula/squeeze/ltsp_utilaula/manifests/init.pp	(revision 500)
+++ tareas_puppet/servidores_aula/squeeze/ltsp_utilaula/manifests/init.pp	(revision 501)
@@ -89,5 +89,66 @@
         refreshonly => true;
        }
 
+
+
+############################################################
+# apaga-terminales en apagados y reinicios
+############################################################
+
+ file {
+        "/etc/init.d/halt-terminales":
+        owner => root, group => root, mode => 755,
+        source => "puppet:///modules/ltsp_utilaula/halt-terminales",
+	notify => Exec[crear-enlaces-ejecucion];
+	}
+
+   exec { "crear-enlaces-ejecucion":
+        path => "/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin",
+        command => "update-rc.d halt-terminales defaults",
+	require => File["/etc/init.d/halt-terminales"],
+        unless => "ls /etc/rc0.d/K??halt-terminales";
+        }
+
+
+############################################################
+# Limpieza apaga-terminales
+############################################################
+   file {
+        "/etc/rc0.d/K01aapaga-terminales":
+	ensure => absent;
+
+        "/etc/rc6.d/K01aapaga-terminales":
+	ensure => absent;
+
+        "/usr/sbin/apagaterminales.sh":
+        ensure => absent;
+
+	}
+
+############################################################
+# Esta parte es para quitar la anterior versión de utilaula
+############################################################
+   package { "finger":
+	ensure => absent,
+   }
+
+  file { 
+	"/etc/init.d/apaga_clientes":
+	ensure => absent,
+	notify => Exec[quitar_enlaces_ejecucion];
+	}
+
+  exec { "quitar_enlaces_ejecucion":
+        command => "/usr/sbin/update-rc.d -f apaga_clientes remove",
+        refreshonly => true;
+       }
+
+  cron {  
+	"chequea-login":
+        command => "/usr/bin/chequea_login",
+	ensure => absent;
+       }
+
+
 }
 
Index: tareas_puppet/servidores_aula/squeeze/ltsp_utilaula.tgz
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream