Index: tareas_puppet/comunes/servidores_aula/squeeze/reprepro/leeme.txt
===================================================================
--- tareas_puppet/comunes/servidores_aula/squeeze/reprepro/leeme.txt	(nonexistent)
+++ tareas_puppet/comunes/servidores_aula/squeeze/reprepro/leeme.txt	(revision 512)
@@ -0,0 +1,18 @@
+
+BREBE DESCRIPCION DE LA EJECUCIÓN DEL MÓDULO.
+----------------------------------------------
+
+Destino: Todas las máquinas Linux, salvo thclient.
+
+Acción: Configura los ficheros en los clientes para añadir nuestro repositorio local a los clientes.
+
+Notas: Se tiene que tener instalado reprepro en el servidor reprepro.
+
+----------------------------------------------
+
+Autor: José María Sánchez García.
+Lugar: IES Parque de Monfragüe (Plasencia).
+Fecha: 09/04/2013.
+
+
+
Index: tareas_puppet/comunes/servidores_aula/squeeze/reprepro/manifests/init.pp
===================================================================
--- tareas_puppet/comunes/servidores_aula/squeeze/reprepro/manifests/init.pp	(nonexistent)
+++ tareas_puppet/comunes/servidores_aula/squeeze/reprepro/manifests/init.pp	(revision 512)
@@ -0,0 +1,26 @@
+class reprepro {
+	
+	$servidor = "web"
+	$nombreRepositorio = "iespmonfrague"
+	$directorioRepositorio = "iespmonfrague"
+	$distribucion = "squeeze"
+	$componentes = "main"
+
+
+	#Añadimos el repositorio.
+	
+	file { "/etc/apt/sources.list.d/$nombreRepositorio.list":
+		ensure => file,
+		content => "deb http://$servidor/$nombreRepositorio $distribucion $componentes",
+		notify => Exec ["clave_publica"]
+	}
+	
+	#Descargamos la clave pública de nuestro repositorio y la subimos al servidor cliente añadiendola. Actualizamos indices. Borramos la clave pública.
+
+	exec { "clave_publica":
+		command => "wget http://$servidor/$directorioRepositorio/$nombreRepositorio.asc; apt-key add $nombreRepositorio.asc; apt-get update; rm /root/$nombreRepositorio.asc",
+		cwd => "/root",
+		refreshonly => true,
+		logoutput => true
+	}
+}
Index: tareas_puppet/comunes/servidores_aula/squeeze/ltsp_reprepro/leeme.txt
===================================================================
--- tareas_puppet/comunes/servidores_aula/squeeze/ltsp_reprepro/leeme.txt	(nonexistent)
+++ tareas_puppet/comunes/servidores_aula/squeeze/ltsp_reprepro/leeme.txt	(revision 512)
@@ -0,0 +1,18 @@
+
+BREBE DESCRIPCION DE LA EJECUCIÓN DEL MÓDULO.
+----------------------------------------------
+
+Destino: Thclient.
+
+Acción: Configura los ficheros en los clientes para añadir nuestro repositorio local a los clientes.
+
+Notas: Se tiene que tener instalado reprepro en el servidor reprepro.
+
+----------------------------------------------
+
+Autor: José María Sánchez García.
+Lugar: IES Parque de Monfragüe (Plasencia).
+Fecha: 09/04/2013.
+
+
+
Index: tareas_puppet/comunes/servidores_aula/squeeze/ltsp_reprepro/manifests/init.pp
===================================================================
--- tareas_puppet/comunes/servidores_aula/squeeze/ltsp_reprepro/manifests/init.pp	(nonexistent)
+++ tareas_puppet/comunes/servidores_aula/squeeze/ltsp_reprepro/manifests/init.pp	(revision 512)
@@ -0,0 +1,25 @@
+class ltsp_reprepro {
+	
+	$servidor = "web"
+	$nombreRepositorio = "iespmonfrague"
+	$directorioRepositorio = "iespmonfrague"
+	$distribucion = "squeeze"
+	$componentes = "main"
+
+
+	#Añadimos el repositorio.
+	
+	file { "/opt/ltsp/i386/etc/apt/sources.list.d/$nombreRepositorio.list":
+		ensure => file,
+		content => "deb http://$servidor/$nombreRepositorio $distribucion $componentes",
+		notify => Exec ["clave_publica_ltsp"]
+	}
+	
+	#Descargamos la clave pública de nuestro repositorio y la subimos al servidor cliente añadiendola. Actualizamos indices. Borramos la clave pública.
+
+	exec { "clave_publica_ltsp":
+		command => "chroot /opt/ltsp/i386 wget http://$servidor/$directorioRepositorio/$nombreRepositorio.asc;chroot /opt/ltsp/i386 apt-key add $nombreRepositorio.asc;chroot /opt/ltsp/i386 apt-get update;chroot /opt/ltsp/i386 rm $nombreRepositorio.asc",
+		refreshonly => true,
+		logoutput => true
+	}
+}
Index: tareas_puppet/comunes/servidores_aula/squeeze/reprepro.tar.gz
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tareas_puppet/comunes/servidores_aula/squeeze/reprepro.tar.gz
___________________________________________________________________
Added: svn:mime-type
## -0,0 +1 ##
+application/octet-stream
\ No newline at end of property
Index: tareas_puppet/comunes/servidores_aula/squeeze/ltsp_reprepro.tar.gz
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tareas_puppet/comunes/servidores_aula/squeeze/ltsp_reprepro.tar.gz
___________________________________________________________________
Added: svn:mime-type
## -0,0 +1 ##
+application/octet-stream
\ No newline at end of property