Index: scripts/nfs/limpiar_usuarios.sh
===================================================================
--- scripts/nfs/limpiar_usuarios.sh	(revision 536)
+++ scripts/nfs/limpiar_usuarios.sh	(revision 537)
@@ -1,32 +1,173 @@
 #!/bin/sh
-# Ejecutar en el servidor nfs. Lo ideal es ponerlo en el crontab y ejecutarlo cada noche.
-# Borra los directorios thumbnails (visor de fotos), cache de java, cache de mozilla, 
-# base de datos mozilla, applet actualizacion (apt-watch), cache de openoffice y papelera.
+
+# Borra los directorios thumbnails de distintos visores de fotos.
+# Papeleras de distintos programas
+# Caché de java, mozilla, chrome, libreoffice, gnome, flash, evolution, google-earth, adobe, etc.
+# Borra del navegador firefox y google chrome ficheros corruptos y plugins instalados por el usuario.
+# Borra temporales de distintos programas.
+# Comprime las bases de datos del navegador firefox (sqlite) --> DEBE ESTAR INSTALADO sqlite3 en el servidor nfs.
+# Borra ficheros innecesarios de la openoffice y libreoffice.
+# Borra sesiones salvadas del nautilus y de metacity.
+# IMPORTANTE: Para los alumnos, vacía las carpetas: enviados profesor y recibidos profesor de aulalinex.
+# El que considere que deben respetarse estas carpetas, realizar el comentario oportuno en las líneas.
+#
+# -------------------------------------------------------------------------------------------------------------
+#
+# Se ejecuta en el servidor nfs.
 # Francisco Rodrigo
+# Fecha de Creación:
+# 16/12/2007
+# Ultima actualización:
+# 05/03/2015
 
 cd /home/profesor/
 for i in *
 do
   if [ -d $i/Desktop ]; then
-     if [ $i != "dpto" ]
-     then
+	echo "Borrando del profesor $i"
+
+	#Borramos miniaturas de ficheros de imágenes
 	rm -rf $i/.thumbnails
+	rm -rf $i/.shotwell/thumbs
+	rm -rf $i/.openshot/thumbnail
+	find $i/. -name "Thumbs.db" -exec rm -rf {} +;
+
+	#Borramos papeleras
+	rm -rf $i/.local/share/Trash
+	rm -rf $i/.gconf/apps/nautilus/desktop-metadata/trash
+	rm -rf $i/.gconf/apps/evolution/mail/trash
+#	rm -rf $i/.icedove/*.default/Mail/*/Trash
+#	rm -rf $i/.icedove/*.default/ImapMail/*/Trash
+
+	#Borramos montajes virtuales
+	#rm -rf $i/.local/share/gvfs-metadata
+
+	#Borramos distintas caches
 	rm -rf $i/.java/deployment/cache
-	rm -rf $i/.local/share/Trash
-	rm -rf $i/.mozilla/firefox/*.default/Cache/*
-        rm -rf $i/.googleearth/Cache/*
-        rm -rf $i/.cache/google-chrome/*
-        # Si queremos comprimir la base de datos sqlite hacemos lo siguiente (necesita tener instalado sqlite3 en el servidor nfs y en mayhave):        
-      	for f in $i/.mozilla/firefox/*/*.sqlite; do sqlite3 $f 'VACUUM;'; done
-        # Si queremos borrar las bases de datos hacemos esto otro:
-	#rm -rf $i/.mozilla/firefox/*.default/*.sqlite*
-        rm -rf $i/.openoffice.org/3/user/uno_packages/cache
-        rm -rf $i/.openoffice.org/3/user/registry/cache
-        rm -rf $i/.evolution/cache
-        rm -rf $i/.apt-watch
+	rm -rf $i/.mozilla/firefox/*.default*/Cache
+	rm -rf $i/.mozilla/firefox/*.default*/Cache.Trash
+	rm -rf $i/.config/google-chrome/Default/Application Cache/Cache
+	rm -rf $i/.config/google-chrome/Default/Storage/ext/chrome-signin/def/Cache
+        rm -rf $i/.cache
+	rm -rf $i/.googleearth/Cache
+	rm -rf $i/.adobe/Flash_Player/AssetCache
+	rm -rf $i/Dropbox/.dropbox.cache/
+	rm -rf $i/.miro/icon-cache/
+	rm -rf $i/.vlc/cache
+	rm -rf $i/.gftp/cache
+	rm -rf $i/.gnome2/goobox.d/cache
+	rm -rf $i/.adobe/Acrobat/9.0/Cache
+	rm -rf $i/.adobe/Acrobat/8.0/Cache
+	rm -rf $i/.icedove/*.default/Cache
+        rm -rf $i/.config/libreoffice/4/user/uno_packages/cache
+	rm -rf $i/.ooo4kids/1.0/user/uno_packages/cache
+	rm -rf $i/.ooo4kids/1.0/user/registry/cache
+	rm -rf $i/.icedtea/cache
+	rm -rf $i/.netx/cache
+	rm -rf $i/.config/Gpredict/satdata/cache
+
+	#Borramos temporales
+	rm -rf $i/.googleearth/Temp/*
+	rm -rf $i/.wine/drive_c/windows/temp
+	rm -rf $i/.kde/share/apps/k3b/temp
+	rm -rf $i/.config/libreoffice/4/user/temp
+	rm -rf $i/.adobe/Acrobat/9.0/Collab/Temp
+	rm -rf $i/.adobe/Acrobat/9.0/Temp
+	rm -rf $i/.adobe/Acrobat/8.0/Preferences/Collab/Temp
+	rm -rf $i/.config/google-chrome/Temp
+	rm -rf $i/.config/google-chrome/Default/Extensions/Temp
+	rm -rf $i/.ooo4kids/1.0/user/temp
+	rm -rf $i/.gramps/temp
+
+
+	#Borramos objetos de flash player
+	rm -rf $i/.macromedia/Flash_Player/#SharedObjects
+
+	#Borramos ficheros incompletos de miro
+	rm -rf $i/.miro/Movies/Incomplete*
+
+	## MOZILLA FIREFOX
+
+	#Borramos plugins del navegador instalados por el usuario.
+	rm -rf $i/.mozilla/firefox/*.default*/pluginreg.dat
+	#Borramos ficheros corruptos y el journal para evitar errores.
+	rm -rf $i/.mozilla/firefox/*.default*/*.corrupt
+	rm -rf $i/.mozilla/firefox/*.default*/*.journal
+	#Borramos ficheros que se han quedado sin cerrarse
+	rm -rf $i/.mozilla/firefox/*.default*/*-shm
+	rm -rf $i/.mozilla/firefox/*.default*/*-wal
+        # Si queremos comprimir la base de datos sqlite del firefox hacemos lo siguiente (necesita tener instalado sqlite3 en el servidor nfs):
+	if [ -f $i/.mozilla/firefox/*.default*/places.sqlite ]; then
+	        for f in $i/.mozilla/firefox/*.default*/*.sqlite;
+			do
+				sqlite3 $f 'VACUUM;' 2> /tmp/error_sqlite;
+				if [ ! -z /tmp/error_sqlite ]; then
+					rm -rf $i/.mozilla/firefox/*.default*/$f;
+				fi
+			 done
+	fi
+        # Si queremos borrar las bases de datos del firefox hacemos esto otro:
+   	#rm -rf $i/.mozilla/firefox/*.default*/*.sqlite*
 	#Desbloqueamos firefox por si se queda colgado
-        rm -rf $i/.mozilla/firefox/*.default/lock
-    fi
+        rm -rf $i/.mozilla/firefox/*.default*/lock
+	#Borramos ficheros bloqueados del fuse para firefox
+        rm -rf $i/.mozilla/firefox/*.default*/.fuse_hidden*
+	#Borramos ficheros que se han quedado sin cerrarse. Lo ejecutamos de nuevo por si da error la compresion de sqlite
+	rm -rf $i/.mozilla/firefox/*.default*/*-shm
+	rm -rf $i/.mozilla/firefox/*.default*/*-wal
+
+	## GOOGLE CHROME
+
+	#Borramos ficheros bloqueados del fuse para chrome
+        rm -rf $i/.config/google-chrome/.fuse_hidden*
+	#Borramos ficheros bloqueados del nfs para chrome
+        rm -rf $i/.config/google-chrome/.nfs*
+	#Desbloqueamos chrome por si se queda colgado
+        rm -rf $i/.config/google-chrome/Singleton*
+	#Borramos los ficheros para restablecer google-chrome
+        rm -rf $i/.config/google-chrome/Safe*
+	#Borramos los ficheros para restablecer google-chrome
+        rm -rf $i/.config/google-chrome/Last*
+	#Borramos los ficheros de thumbnails
+        rm -rf $i/.config/google-chrome/Thumbnails
+	#Borramos los ficheros corruptos
+        rm -rf $i/.config/google-chrome/*-journal
+
+	## OPEN OFFICE
+	#Borramos openoffice por sustitucion de libreoffice
+	rm -rf $i/.openoffice.org
+	#Configuracion antigua openoffice 2
+	rm -rf $i/.openoffice.org2
+
+	## LIBRE OFFICE
+
+	#Borramos libreoffice 3 por sustitucion de libreoffice 4
+	rm -rf $i/.libreoffice
+        rm -rf $i/.config/libreoffice/4/user/backup
+
+	#Ficheros bloqueados de la libreoffice
+	find $i/. -name ".~lock.*" -exec rm -rf {} +;
+
+	#Ficheros incompletos de iceweasel
+	find $i/. -name "*.part"  -exec rm -rf {} +;
+
+	#Ficheros bloqueados del nfs
+	find $i/. -name ".nfs*" -exec rm -rf {} +;
+
+	#Fichero debug de pdfs
+	find $i/. -name "*debuglog.txt" -exec rm -rf {} +;
+
+	#Sesiones salvadas del nautilus
+	rm -rf $i/.nautilus/saved-session-*
+
+	#Sesiones de metacity
+	rm -rf $i/.metacity/sessions
+
+	#Salida Escritorio
+	rm -rf $i/.config/salida_escritorio
+
+	#Directorio wine
+	#rm -rf $i/.wine
   fi
 done
 cd -
@@ -34,22 +175,154 @@
 cd /home/alumnos/
 for i in *
 do
+	echo "Borrando del alumno $i"
+
+	#Borramos miniaturas de ficheros de imágenes
 	rm -rf $i/.thumbnails
+	rm -rf $i/.shotwell/thumbs
+	rm -rf $i/.openshot/thumbnail
+	find $i/. -name "Thumbs.db" -exec rm -rf {} +;
+
+	#Borramos papeleras
+	rm -rf $i/.local/share/Trash
+	rm -rf $i/.gconf/apps/nautilus/desktop-metadata/trash
+	rm -rf $i/.gconf/apps/evolution/mail/trash
+
+	#Borramos montajes virtuales
+	#rm -rf $i/.local/share/gvfs-metadata
+
+	#Borramos distintas caches
 	rm -rf $i/.java/deployment/cache
-	rm -rf $i/.local/share/Trash
-	rm -rf $i/.mozilla/firefox/*.default/Cache/*
-        rm -rf $i/.googleearth/Cache/*
-        rm -rf $i/.cache/google-chrome/*
-        #for f in $i/.mozilla/firefox/*/*.sqlite; do sqlite3 $f 'VACUUM;'; done
-	rm -rf $i/.mozilla/firefox/*.default/*.sqlite*
-        rm -rf $i/.openoffice.org/3/user/uno_packages/cache
-        rm -rf $i/.openoffice.org/3/user/registry/cache
+	rm -rf $i/.mozilla/firefox/*.default*/Cache
+	rm -rf $i/.mozilla/firefox/*.default*/Cache.Trash
+	rm -rf $i/.config/google-chrome/Default/Application Cache/Cache
+	rm -rf $i/.config/google-chrome/Default/Storage/ext/chrome-signin/def/Cache
+        rm -rf $i/.gnome2/epiphany/mozilla/epiphany/Cache
         rm -rf $i/.evolution/cache
-        rm -rf $i/.apt-watch
+        rm -rf $i/.cache
+	rm -rf $i/.googleearth/Cache
+	rm -rf $i/.adobe/Flash_Player/AssetCache
+	rm -rf $i/Dropbox/.dropbox.cache
+	rm -rf $i/.miro/icon-cache
+	rm -rf $i/.vlc/cache
+	rm -rf $i/.gftp/cache
+	rm -rf $i/.gnome2/goobox.d/cache
+	rm -rf $i/.adobe/Acrobat/9.0/Cache
+	rm -rf $i/.adobe/Acrobat/8.0/Cache
+	rm -rf $i/.icedove/*.default/Cache
+        rm -rf $i/.config/libreoffice/4/user/uno_packages/cache
+	rm -rf $i/.ooo4kids/1.0/user/uno_packages/cache
+	rm -rf $i/.ooo4kids/1.0/user/registry/cache
+	rm -rf $i/.icedtea/cache
+	rm -rf $i/.netx/cache
+	rm -rf $i/.config/Gpredict/satdata/cache
+
+
+	#Borramos temporales
+	rm -rf $i/.googleearth/Temp/*
+	rm -rf $i/.wine/drive_c/windows/temp
+	rm -rf $i/.kde/share/apps/k3b/temp
+	rm -rf $i/.config/libreoffice/4/user/temp
+	rm -rf $i/.adobe/Acrobat/9.0/Collab/Temp
+	rm -rf $i/.adobe/Acrobat/9.0/Temp
+	rm -rf $i/.adobe/Acrobat/8.0/Preferences/Collab/Temp
+	rm -rf $i/.config/google-chrome/Temp
+	rm -rf $i/.config/google-chrome/Default/Extensions/Temp
+	rm -rf $i/.ooo4kids/1.0/user/temp
+	rm -rf $i/.gramps/temp
+
+	#Borramos objetos de flash player
+	rm -rf $i/.macromedia/Flash_Player/#SharedObjects
+
+	#Borramos ficheros incompletos de miro
+	rm -rf $i/.miro/Movies/Incomplete*
+
+	## MOZILLA FIREFOX
+
+	#Borramos plugins instalados a mano.
+	rm -rf $i/.mozilla/firefox/*.default*/pluginreg.dat
+	#Borramos ficheros corruptos y el journal para evitar errores.
+	rm -rf $i/.mozilla/firefox/*.default*/*.corrupt
+	rm -rf $i/.mozilla/firefox/*.default*/*.journal
+	#Borramos ficheros que se han quedado sin cerrarse.
+	rm -rf $i/.mozilla/firefox/*.default*/*-shm
+	rm -rf $i/.mozilla/firefox/*.default*/*-wal
+        # Si queremos comprimir la base de datos sqlite del firefox hacemos lo siguiente (necesita tener instalado sqlite3 en el servidor nfs):
+	if [ -f $i/.mozilla/firefox/*.default*/places.sqlite ]; then
+	        for f in $i/.mozilla/firefox/*.default*/*.sqlite;
+			do
+				sqlite3 $f 'VACUUM;' 2> /tmp/error_sqlite;
+				if [ ! -z /tmp/error_sqlite ]; then
+					rm -rf $i/.mozilla/firefox/*.default*/$f;
+				fi
+			 done
+	fi
+	#Borramos los ficheros de base de datos del navegador
+	#rm -rf $i/.mozilla/firefox/*.default*/*.sqlite*
 	#Desbloqueamos firefox por si se queda colgado
-        rm -rf $i/.mozilla/firefox/*.default/lock
-	#Limpiamos la carpeta recibidos del alumno y enviados. De momento no.
-        #rm -rf $i/recibidos_profesor/*
-        #rm -rf $i/enviar_profesor/*
+        rm -rf $i/.mozilla/firefox/*.default*/lock
+	#Borramos ficheros bloqueados del fuse
+        rm -rf $i/.mozilla/firefox/*.default*/.fuse_hidden*
+	#Borramos ficheros que se han quedado sin cerrarse. Lo ejecutamos de nuevo por si da error la compresion de sqlite
+	rm -rf $i/.mozilla/firefox/*.default*/*-shm
+	rm -rf $i/.mozilla/firefox/*.default*/*-wal
+
+	## GOOGLE CHROME
+
+	#Borramos ficheros bloqueados del fuse para chrome
+        rm -rf $i/.config/google-chrome/.fuse_hidden*
+	#Borramos ficheros bloqueados del nfs para chrome
+        rm -rf $i/.config/google-chrome/.nfs*
+	#Desbloqueamos chrome por si se queda colgado
+        rm -rf $i/.config/google-chrome/Singleton*
+	#Borramos los ficheros para restablecer google-chrome
+        rm -rf $i/.config/google-chrome/Safe*
+	#Borramos los ficheros para restablecer google-chrome
+        rm -rf $i/.config/google-chrome/Last*
+	#Borramos los ficheros de thumbnails
+        rm -rf $i/.config/google-chrome/Thumbnails
+	#Borramos los ficheros corruptos
+        rm -rf $i/.config/google-chrome/*-journal
+
+	## OPEN OFFICE
+	#Borramos openoffice por sustitucion de libreoffice
+	rm -rf $i/.openoffice.org
+	#Configuracion antigua openoffice 2
+	rm -rf $i/.openoffice.org2
+
+	## LIBRE OFFICE
+
+	#Borramos libreoffice 3 por sustitucion de libreoffice 4
+	rm -rf $i/.libreoffice
+        rm -rf $i/.config/libreoffice/4/user/backup
+
+	#Ficheros bloqueados de la libreoffice
+	find $i/. -name ".~lock.*" -exec rm -rf {} +;
+
+	#Ficheros incompletos de iceweasel
+	find $i/. -name "*.part"  -exec rm -rf {} +;
+
+	#Ficheros bloqueados del nfs
+	find $i/. -name ".nfs*" -exec rm -rf {} +;
+
+	#Fichero debug de pdfs
+	find $i/. -name "*debuglog.txt" -exec rm -rf {} +;
+
+	#Limpiamos la carpeta recibidos del alumno
+        rm -rf $i/recibidos_profesor
+	#Limpiamos la carpeta enviar_profesor del alumno
+        rm -rf $i/enviar_profesor
+
+	#Sesiones salvadas del nautilus
+	rm -rf $i/.nautilus/saved-session-*
+	#Sesiones de metacity
+
+	rm -rf $i/.metacity/sessions
+
+	#Salida Escritorio
+	rm -rf $i/.config/salida_escritorio
+
+	#Directorio wine
+	rm -rf $i/.wine
 done
 cd -