Index: tareas_puppet/workstations/wheezy/work_iescuota/files/quota-status.tgz
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tareas_puppet/workstations/wheezy/work_iescuota/files/quota-status.tgz
___________________________________________________________________
Added: svn:mime-type
## -0,0 +1 ##
+application/octet-stream
\ No newline at end of property
Index: tareas_puppet/workstations/wheezy/work_iescuota/files/instalar-iescuota.sh
===================================================================
--- tareas_puppet/workstations/wheezy/work_iescuota/files/instalar-iescuota.sh	(nonexistent)
+++ tareas_puppet/workstations/wheezy/work_iescuota/files/instalar-iescuota.sh	(revision 539)
@@ -0,0 +1,14 @@
+#!/bin/sh
+# Instalacion de iexquota para todos los usuarios.
+# Programa que informa sobre la utilizacion de la cuota de cada usuario.
+# Francisco Rodrigo
+# IES Javier Garcia Tellez
+
+#***************************************************************************************
+
+tar xvfz /opt/quota-status.tgz -C /opt
+cd /tmp/iexquota
+sh instalar.sh
+cd -
+
+#***************************************************************************************

Property changes on: tareas_puppet/workstations/wheezy/work_iescuota/files/instalar-iescuota.sh
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: tareas_puppet/workstations/wheezy/work_iescuota/files/quota-status.desktop
===================================================================
--- tareas_puppet/workstations/wheezy/work_iescuota/files/quota-status.desktop	(nonexistent)
+++ tareas_puppet/workstations/wheezy/work_iescuota/files/quota-status.desktop	(revision 539)
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Name=IES quota-status
+Comment=Run IES quota-status
+TryExec=/opt/quota-status/quota.py
+Exec=/opt/quota-status/quota.py
+Terminal=false
+Type=Application
+StartupNotify=true
+Categories=

Property changes on: tareas_puppet/workstations/wheezy/work_iescuota/files/quota-status.desktop
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: tareas_puppet/workstations/wheezy/work_iescuota/leeme.txt
===================================================================
--- tareas_puppet/workstations/wheezy/work_iescuota/leeme.txt	(nonexistent)
+++ tareas_puppet/workstations/wheezy/work_iescuota/leeme.txt	(revision 539)
@@ -0,0 +1,25 @@
+BREVE DESCRIPCION DE LA EJECUCION DEL MODULO
+--------------------------------------------
+
+Destino : Workstations.
+Acción  : Instala IES Cuota para controlar la cuota de los usuarios.
+
+Notas   : Realiza la instalacion de los paquete necesiarios: quota, python-eggtrayicon y python-glade2.
+	  Por lo tanto necesitan añadirse estos paquetes en el respectivo musthave.ies o mayhave.ies
+	  en el servidor principal para que no se desinstale vía pkgsync.
+
+	  Se ejecuta un instalador que coloca en el directorio /opt el programa en python y el quota-status.desktop 
+	  que llama al ejecutable se añade al directorio /etc/xdg/autostart de cada equipo.
+
+
+INSTRUCCIONES DE INSTALACION DEL MODULO
+---------------------------------------
+
+Desempaquetar en /etc/puppet/modules
+Incluir la linea include "nombre_modulo" en la respectiva clase específica.
+
+------------------------------------------------
+
+06-Marzo-2015.
+Francisco Rodrigo López
+Administrador informático del IES Javier García Téllez.

Property changes on: tareas_puppet/workstations/wheezy/work_iescuota/leeme.txt
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: tareas_puppet/workstations/wheezy/work_iescuota/manifests/init.pp
===================================================================
--- tareas_puppet/workstations/wheezy/work_iescuota/manifests/init.pp	(nonexistent)
+++ tareas_puppet/workstations/wheezy/work_iescuota/manifests/init.pp	(revision 539)
@@ -0,0 +1,41 @@
+# /etc/puppet/modules/work_iescuota/manifests/init.pp
+
+class work_iescuota {
+
+   package { quota:
+        ensure => installed
+        }
+
+
+   package { python-eggtrayicon:
+        ensure => installed
+        }
+
+   package { python-glade2:
+        ensure => installed
+        }
+
+
+   file {"/etc/xdg/autostart/quota-status.desktop":
+        owner=>root, group=>root, mode=>755,
+        source=>"puppet:///modules/work_iescuota/quota-status.desktop",
+        require => Package["quota","python-eggtrayicon"],
+        }
+
+   file {"/root/quota-status.tgz":
+        owner=>root, group=>root, mode=>644,
+        source=>"puppet:///modules/work_iescuota/quota-status.tgz",
+        require => Package["quota","python-eggtrayicon","python-glade2"],
+        notify => Exec["instalar-iescuota"],
+        }
+
+   exec {"instalar-iescuota":
+	path => "/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin",
+	command => "tar xvfz /root/quota-status.tgz -C /opt",
+	subscribe => File["/root/quota-status.tgz","/etc/xdg/autostart/quota-status.desktop"],
+	refreshonly => true,
+       }
+
+}
+
+

Property changes on: tareas_puppet/workstations/wheezy/work_iescuota/manifests/init.pp
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: tareas_puppet/workstations/wheezy/work_iescuota.tgz
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tareas_puppet/workstations/wheezy/work_iescuota.tgz
___________________________________________________________________
Added: svn:mime-type
## -0,0 +1 ##
+application/octet-stream
\ No newline at end of property