Index: tareas_puppet/workstations/wheezy/workstation_wheezy_ajustes/files/cupsd.conf
===================================================================
--- tareas_puppet/workstations/wheezy/workstation_wheezy_ajustes/files/cupsd.conf	(nonexistent)
+++ tareas_puppet/workstations/wheezy/workstation_wheezy_ajustes/files/cupsd.conf	(revision 540)
@@ -0,0 +1,62 @@
+# Configuracion predeterminada del
+# servidor de impresion CUPS en SESLinEx 3.0
+#
+# Mario Rubiales Gomez <mario.rubiales@gmail.com>
+# jue feb 10 17:23:24 CET 2011
+#
+# Adaptado para linGobEx por Alberto Caso Palomino <alberto.caso@juntaextremadura.es>
+# Thu, 21 Jun 2012 11:24:00 +0200
+
+LogLevel warn
+MaxLogSize 1m
+SystemGroup lpadmin
+# Puerto de acceso remoto
+Port 631
+Listen /var/run/cups/cups.sock
+# No queremos mostrar otras impresoras de la misma red
+Browsing Off
+DefaultAuthType Basic
+BrowseLocalProtocols cups
+
+#Abort the job and proceed with the next job in the queue.
+ErrorPolicy abort-job
+
+# Timeout alto (10h) para evitar que LibreOfffice pierda la conexion
+TimeOut 36000
+
+FileDevice Yes
+
+<Location />
+  Allow all
+  # Restrict access to the server...
+  Order allow,deny
+</Location>
+
+# Para el acceso a la zona de administracion autenticacion
+<Location /admin>
+  Order allow,deny
+  AuthType Default
+  Require user @SYSTEM
+</Location>
+
+<Location /admin/conf>
+  AuthType Default
+  Require user @SYSTEM
+  # Restrict access to the configuration files...
+  Order allow,deny
+</Location>
+
+# Permitimos al usuario cancelar trabajos, reanudar impresora, pausar impresora, etc.
+<Policy default>
+  #Añadimos esto para que tea4cups tenga acceso a los datos del trabajo para llevar la contabilidad
+  JobPrivateAccess all    
+  JobPrivateValues none   
+
+  <Limit Purge-Jobs Cancel-Current-Job Suspend-Current-Job Resume-Job Pause-Printer Resume-Printer Pause-Printer-After-Current-Job Cancel-Job>
+      Order deny,allow
+  </Limit>
+  <Limit all>
+    Order deny,allow
+  </Limit>
+</Policy>
+
Index: tareas_puppet/workstations/wheezy/workstation_wheezy_ajustes/LEEME
===================================================================
--- tareas_puppet/workstations/wheezy/workstation_wheezy_ajustes/LEEME	(revision 539)
+++ tareas_puppet/workstations/wheezy/workstation_wheezy_ajustes/LEEME	(revision 540)
@@ -5,7 +5,7 @@
 Destino : workstation
 
 
-Acción  : Arreglos variados y configuraicones en los workstation
+Acción  : Arreglos variados y configuraciones en los workstation
 
 INSTRUCCIONES DE INSTALACION DEL MODULO
 ---------------------------------------
Index: tareas_puppet/workstations/wheezy/workstation_wheezy_ajustes/manifests/init.pp
===================================================================
--- tareas_puppet/workstations/wheezy/workstation_wheezy_ajustes/manifests/init.pp	(revision 539)
+++ tareas_puppet/workstations/wheezy/workstation_wheezy_ajustes/manifests/init.pp	(revision 540)
@@ -88,5 +88,32 @@
                owner=> root, group=> root, mode => 664,
                source => "puppet:///workstation_wheezy_ajustes/xscreensaver.desktop",
   }
+
+  #===============================================================================================================
+  #Se hace que "nautilus" apunte a "thunar", para coexistencia XFCE-Gnome
+
+  file { '/usr/bin/nautilus':
+     ensure => 'link',
+     target => '/usr/bin/thunar',
+  }
+
+
+  #===============================================================================================================
+  # cupsd.conf que permite a tea4cups acceder a datos privados de los trabajos de impresión (host y usuario), para
+  # integración con controlies. /etc/cups/cupsd.conf es un link a  /usr/share/lingobex-cups/cupsd.conf
+
+  file {"/usr/share/lingobex-cups/cupsd.conf":
+               owner=> root, group=> root, mode => 644,
+               source => "puppet:///workstation_wheezy_ajustes/cupsd.conf",
+               notify  => Service["cups"]
+  }
+
+  #Reinicia el servicio al cambiar cupsd.conf
+  service { "cups": 
+    ensure => "running",
+    subscribe => File["/usr/share/lingobex-cups/cupsd.conf"]
+  }
+
+
  	
 }
Index: tareas_puppet/workstations/wheezy/workstation_wheezy_ajustes.tgz
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream